# Uses of Interface
com.sun.source.tree.ImportTree

Packages that use ImportTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ImportTree in com.sun.source.tree

Methods in com.sun.source.tree that return types with arguments of type ImportTree
Modifier and Type
Method
Description
`List<? extends ImportTree>`
CompilationUnitTree.`getImports()`
Returns the import declarations appearing in this compilation unit, or an empty list if there are no import declarations.
Methods in com.sun.source.tree with parameters of type ImportTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitImport(ImportTree node, P p)`
Visits an `ImportTree` node.

## Uses of ImportTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type ImportTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitImport(ImportTree node, P p)`
Visits an `ImportTree` node.
`R`
TreeScanner.`visitImport(ImportTree node, P p)`
Visits an `ImportTree` node.